> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useaira.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List items

> This endpoint allows fetching a list of items, newest first by creation time. Archived items are listed only when `includeArchived` is true.



## OpenAPI

````yaml /api-reference/openapi.yaml get /v1/items/
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
  description: Aira API Reference
  x-logo:
    url: https://static.useaira.com/images/airalogo.svg
    backgroundColor: '#FFFFFF'
    altText: Aira Logo
servers:
  - url: https://api.useaira.com
    description: API base URL
security:
  - ApiKey: []
paths:
  /v1/items/:
    get:
      tags:
        - Items
      summary: List items
      description: >-
        This endpoint allows fetching a list of items, newest first by creation
        time. Archived items are listed only when `includeArchived` is true.
      parameters:
        - schema:
            type: string
          in: query
          name: search
          required: false
          description: Free-text search over the item name, ignoring case and accents.
        - schema:
            type: boolean
            default: false
          in: query
          name: includeArchived
          required: false
          description: Whether archived items should be returned.
        - schema:
            type: integer
            default: 0
            minimum: 0
            maximum: 2147483647
          in: query
          name: offset
          required: false
          description: Number of items to skip before collecting the page.
        - schema:
            type: integer
            minimum: 1
            default: 100
            maximum: 100
          in: query
          name: limit
          required: true
          description: Maximum number of items to return per page.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      description: >-
                        Schema representing an item, the catalog record that
                        names what a charge bills. Each resource, license and
                        plan charge points to one item.
                      properties:
                        id:
                          description: The unique identifier of the item in our system.
                          type: string
                          format: uuid
                        name:
                          description: The name of the item.
                          type: string
                          example: Monthly fee
                        customFields:
                          type: object
                          description: >-
                            Custom fields that can be associated with the
                            entity. The fields must be previously created in the
                            system before they can be used.
                          additionalProperties:
                            anyOf:
                              - type: string
                              - type: array
                                items:
                                  type: string
                          default: {}
                          example:
                            customField1: value1
                            customField2:
                              - value2
                              - value3
                        archivedAt:
                          description: >-
                            The timestamp when the item was archived, or null if
                            not archived.
                          type:
                            - 'null'
                            - string
                          format: date-time
                      required:
                        - id
                        - name
                        - customFields
                        - archivedAt
                      additionalProperties: false
                    description: A list of items.
                  hasMore:
                    description: Indicates if there are more items to fetch.
                    type: boolean
                required:
                  - items
                  - hasMore
                additionalProperties: false
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      description: API Key Authentication.
      name: X-API-KEY
      in: header

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.